Home | History | Annotate | Download | only in dbus

Lines Matching full:echo

37 progname=`echo "$progpath" | $SED $basename`
61 # Check that we have a working $echo.
65 elif test "X$1" = X--fallback-echo; then
68 elif test "X`($echo '\t') 2>/dev/null`" = 'X\t'; then
69 # Yippee, $echo works!
72 # Restart under the correct shell, and then maybe $echo will work.
76 if test "X$1" = X--fallback-echo; then
77 # used as fallback echo
97 case `echo X|tr X '\101'` in
129 $echo "$modename: not configured to build any kind of library" 1>&2
130 $echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
140 show="$echo"
182 $echo "cannot create temporary directory \`$my_tmpdir'" 1>&2
187 $echo "X$my_tmpdir" | $Xsed
227 $echo $win32_libid_type
252 " $CC "* | "$CC "* | " `$echo $CC` "* | "`$echo $CC` "* | " $CC_quoted"* | "$CC_quoted "* | " `$echo $CC_quoted` "* | "`$echo $CC_quoted` "*) ;;
271 " $CC "* | "$CC "* | " `$echo $CC` "* | "`$echo $CC` "* | " $CC_quoted"* | "$CC_quoted "* | " `$echo $CC_quoted` "* | "`$echo $CC_quoted` "*)
285 $echo "$modename: unable to infer tagged configuration"
286 $echo "$modename: specify a tag with \`--tag'" 1>&2
289 # $echo "$modename: using $tagname tagged configuration"
308 $echo "$modename: ERROR: object name conflicts: $f_ex_an_ar_dir/$f_ex_an_ar_oldlib" 1>&2
339 my_xlib=`$echo "X$my_xlib" | $Xsed -e 's%^.*/%%'`
369 darwin_base_archive=`$echo "X$darwin_archive" | $Xsed -e 's%^.*/%%'`
372 darwin_arches=`echo "$darwin_arches" | $SED -e 's/.*are://'`
422 -*=*) optarg=`$echo "X$arg" | $Xsed -e 's/[-_a-zA-Z0-9]*=//'` ;;
439 $echo "$progname: invalid tag name: $tagname" 1>&2
455 $echo "$progname: ignoring unknown tag $tagname" 1>&2
477 $echo "$PROGRAM (GNU $PACKAGE) $VERSION$TIMESTAMP"
478 $echo
479 $echo "Copyright (C) 2005 Free Software Foundation, Inc."
480 $echo "This is free software; see the source for copying conditions. There is NO"
481 $echo "warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE."
495 $echo "$progname: enabling shell trace mode"
505 $echo "host: $host"
507 $echo "enable shared libraries"
509 $echo "disable shared libraries"
512 $echo "enable static libraries"
514 $echo "disable static libraries"
549 $echo "$modename: unrecognized option \`$arg'" 1>&2
550 $echo "$help" 1>&2
562 $echo "$modename: option \`$prevopt' requires an argument" 1>&2
563 $echo "$help" 1>&2
575 echo no;; *) echo yes;; esac`
588 $echo "*** Warning: inferring the mode of operation is deprecated." 1>&2
589 $echo "*** Future versions of Libtool will require --mode=MODE be specified." 1>&2
619 $echo "$modename: warning: cannot infer operation mode from \`$nonopt'" 1>&2
621 $echo "$modename: warning: cannot infer operation mode without MODE-ARGS" 1>&2
630 $echo "$modename: unrecognized option \`-dlopen'" 1>&2
631 $echo "$help" 1>&2
673 $echo "$modename: you cannot specify \`-o' more than once" 1>&2
696 args=`$echo "X$arg" | $Xsed -e "s/^-Wc,//"`
713 lastarg=`$echo "X$lastarg" | $Xsed -e "s/^ //"`
732 lastarg=`$echo "X$lastarg" | $Xsed -e "$sed_quote_subst"`
751 $echo "$modename: you must specify an argument for -Xcompile"
755 $echo "$modename: you must specify a target with \`-o'" 1>&2
760 [ -z "$libobj" ] && libobj=`$echo "X$srcfile" | $Xsed -e 's%^.*/%%'`
784 libobj=`$echo "X$libobj" | $Xsed -e "s/\.$xform$/.lo/"`
787 *.lo) obj=`$echo "X$libobj" | $Xsed -e "$lo2o"` ;;
789 $echo "$modename: cannot determine name of library object from \`$libobj'" 1>&2
815 qlibobj=`$echo "X$libobj" | $Xsed -e "$sed_quote_subst"`
821 && $echo "X$libobj" | grep '[]~#^*{};<>?"'"'"' &()|`$[]' \
822 && $echo "$modename: libobj name \`$libobj' may not contain shell special characters."
823 objname=`$echo "X$obj" | $Xsed -e 's%^.*/%%'`
824 xdir=`$echo "X$obj" | $Xsed -e 's%/[^/]*$%%'`
833 $echo "$modename: you must specify a compilation command" 1>&2
834 $echo "$help" 1>&2
862 output_obj=`$echo "X$srcfile" | $Xsed -e 's%^.*/%%' -e 's%\.[^.]*$%%'`.${objext}
881 $echo "\
895 $echo "$srcfile" > "$lockfile"
901 qsrcfile=`$echo "X$srcfile" | $Xsed -e "$sed_quote_subst"`
958 $echo "\
1030 $echo "\
1166 $echo "$modename: warning: complete static linking is impossible in this configuration" 1>&2
1202 qarg=\"`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`\" ### testsuite: skip nested quoting test
1261 $echo "$modename: symbol file \`$arg' does not exist"
1313 $echo "$modename: cannot find name of object for \`$arg'" 1>&2
1318 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1371 $echo "$modename: \`$arg' is not a valid libtool object" 1>&2
1377 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1384 pic_object=`$echo "X${xdir}${objdir}/${arg}" | $Xsed -e "$lo2o"`
1385 non_pic_object=`$echo "X${xdir}${arg}" | $Xsed -e "$lo2o"`
1392 $echo "$modename: link input file \`$save_arg' does not exist"
1404 $echo "$modename: only absolute run-paths are allowed" 1>&2
1478 $echo "$modename: \`-allow-undefined' is deprecated because it is the default" 1>&2
1504 $echo "$modename: more than one -exported-symbols argument is not allowed"
1545 dir=`$echo "X$arg" | $Xsed -e 's/^-L//'`
1552 $echo "$modename: cannot determine absolute directory name of \`$dir'" 1>&2
1568 testbindir=`$echo "X$dir" | $Xsed -e 's*/lib$*/bin*'`
1660 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
1687 $echo "$modename: warning: \`-no-install' is ignored for $host" 1>&2
1688 $echo "$modename: warning: assuming \`-no-fast-install' instead" 1>&2
1729 dir=`$echo "X$arg" | $Xsed -e 's/^-R//'`
1734 $echo "$modename: only absolute run-paths are allowed" 1>&2
1770 args=`$echo "X$arg" | $Xsed -e "$sed_quote_subst" -e 's/^-Wc,//'`
1784 arg=`$echo "X$arg" | $Xsed -e "s/^ //"`
1788 args=`$echo "X$arg" | $Xsed -e "$sed_quote_subst" -e 's/^-Wl,//'`
1803 arg=`$echo "X$arg" | $Xsed -e "s/^ //"`
1825 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
1857 $echo "$modename: cannot find name of object for \`$arg'" 1>&2
1862 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1915 $echo "$modename: \`$arg' is not a valid libtool object" 1>&2
1921 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1928 pic_object=`$echo "X${xdir}${objdir}/${arg}" | $Xsed -e "$lo2o"`
1929 non_pic_object=`$echo "X${xdir}${arg}" | $Xsed -e "$lo2o"`
1964 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
1981 $echo "$modename: the \`$prevarg' option requires an argument" 1>&2
1982 $echo "$help" 1>&2
1994 outputname=`$echo "X$output" | $Xsed -e 's%^.*/%%'`
1999 eval shlib_search_path=\`\$echo \"X\${$shlibpath_var}\" \| \$Xsed -e \'s/:/ /g\'\`
2006 output_objdir=`$echo "X$output" | $Xsed -e 's%/[^/]*$%%'`
2025 $echo "$modename: you must specify an output file" 1>&2
2026 $echo "$help" 1>&2
2088 $echo "$modename: libraries can \`-dlopen' only libtool libraries: $file" 1>&2
2138 $echo "$modename: warning: \`-l' is ignored for archives/objects" 1>&2
2141 name=`$echo "X$deplib" | $Xsed -e 's/^-l//'`
2185 ladir=`$echo "X$lib" | $Xsed -e 's%/[^/]*$%%'`
2210 newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`
2223 newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`
2226 $echo "$modename: warning: \`-L' is ignored for archives/objects" 1>&2
2233 dir=`$echo "X$deplib" | $Xsed -e 's/^-R//'`
2256 if eval $echo \"$deplib\" 2>/dev/null \
2267 $echo
2268 $echo "*** Warning: Trying to link with static lib archive $deplib."
2269 $echo "*** I have the capability to make that library automatically link in when"
2270 $echo "*** you link to this library. But I can only do this if you have a"
2271 $echo "*** shared version of the library, which you do not appear to have"
2272 $echo "*** because the file extensions .$libext of this argument makes me believe"
2273 $echo "*** that it is just a static archive that I should not used here."
2275 $echo
2276 $echo "*** Warning: Linking the shared library $output against the"
2277 $echo "*** static library $deplib is not portable!"
2316 $echo "$modename: cannot find the library \`$lib' or unhandled argument \`$deplib'" 1>&2
2323 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
2327 ladir=`$echo "X$lib" | $Xsed -e 's%/[^/]*$%%'`
2361 $echo "$modename: cannot find name of link library for \`$lib'" 1>&2
2378 $echo "$modename: \`$lib' is not a convenience library" 1>&2
2391 $echo "$modename: cannot find name of link library for \`$lib'" 1>&2
2398 $echo "$modename: cannot -dlopen a convenience library: \`$lib'" 1>&2
2421 $echo "$modename: warning: cannot determine absolute directory name of \`$ladir'" 1>&2
2422 $echo "$modename: passing it literally to the linker, although it might fail" 1>&2
2427 laname=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
2432 $echo "$modename: warning: library \`$lib' was moved." 1>&2
2454 name=`$echo "X$laname" | $Xsed -e 's/\.la$//' -e 's/^lib//'`
2459 $echo "$modename: cannot -dlpreopen a convenience library: \`$lib'" 1>&2
2501 -L*) newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`;; ### testsuite: skip nested quoting test
2584 $echo
2586 $echo "*** Warning: Linking the executable $output against the loadable module"
2588 $echo "*** Warning: Linking the shared library $output against the loadable module"
2590 $echo "*** $linklib is not portable!"
2622 libname=`eval \\$echo \"$libname_spec\"`
2641 soname=`$echo $soroot | ${SED} -e 's/^.*\///'`
2642 newlib="libimp-`$echo $soname | ${SED} 's/^lib//;s/\.dll$//'`.a"
2696 $echo "** Warning, lib $linklib is a module, not a shared library"
2698 $echo
2699 $echo "** And there doesn't seem to be a static archive available"
2700 $echo "** The link will probably fail, sorry"
2744 $echo "$modename: configuration error: unsupported hardcode properties"
2836 $echo
2837 $echo "*** Warning: This system can not link to static lib archive $lib."
2838 $echo "*** I have the capability to make that library automatically link in when"
2839 $echo "*** you link to this library. But I can only do this if you have a"
2840 $echo "*** shared version of the library, which you do not appear to have."
2842 $echo "*** But as you try to build a module library, libtool will still create "
2843 $echo "*** a static module, that should work as long as the dlopening application"
2844 $echo "*** is linked with the -dlopen flag to resolve symbols at runtime."
2846 $echo
2847 $echo "*** However, this would only work if libtool was able to extract symbol"
2848 $echo "*** lists from a program, using \`nm' or equivalent, but libtool could"
2849 $echo "*** not find such a program. So, this module is probably useless."
2850 $echo "*** \`nm' from GNU binutils and a full rebuild may help."
2874 -R*) temp_xrpath=`$echo "X$libdir" | $Xsed -e 's/^-R//'`
2906 dir=`$echo "X$deplib" | $Xsed -e 's%/[^/]*$%%'`
2914 $echo "$modename: warning: cannot determine absolute directory name of \`$dir'" 1>&2
2924 $echo "$modename: \`$deplib' is not a valid libtool archive" 1>&2
2928 $echo "$modename: warning: \`$deplib' seems to be moved" 1>&2
2962 eval tmp_libs=`$echo "X$deplib" | $Xsed -e "s,^\-l,,"`
3092 $echo "$modename: warning: \`-l' and \`-L' are ignored for archives" 1>&2
3096 $echo "$modename: warning: \`-dlopen' is ignored for archives" 1>&2
3100 $echo "$modename: warning: \`-rpath' is ignored for archives" 1>&2
3104 $echo "$modename: warning: \`-R' is ignored for archives" 1>&2
3108 $echo "$modename: warning: \`-version-info/-version-number' is ignored for archives" 1>&2
3112 $echo "$modename: warning: \`-release' is ignored for archives" 1>&2
3116 $echo "$modename: warning: \`-export-symbols' is ignored for archives" 1>&2
3129 name=`$echo "X$outputname" | $Xsed -e 's/\.la$//' -e 's/^lib//'`
3135 $echo "$modename: libtool library \`$output' must begin with \`lib'" 1>&2
3136 $echo "$help" 1>&2
3141 name=`$echo "X$outputname" | $Xsed -e 's/\.la$//'`
3145 libname=`$echo "X$outputname" | $Xsed -e 's/\.la$//'`
3152 $echo "$modename: cannot build libtool library \`$output' from non-libtool objects on this host:$objs" 2>&1
3155 $echo
3156 $echo "*** Warning: Linking the shared library $output against the non-libtool"
3157 $echo "*** objects $objs is not portable!"
3163 $echo "$modename: warning: \`-dlopen self' is ignored for libtool libraries" 1>&2
3168 $echo "$modename: warning: ignoring multiple \`-rpath's for a libtool library" 1>&2
3185 $echo "$modename: warning: \`-version-info/-version-number' is ignored for convenience libraries" 1>&2
3189 $echo "$modename: warning: \`-release' is ignored for convenience libraries" 1>&2
3199 $echo "$modename: too many parameters to \`-version-info'" 1>&2
3200 $echo "$help" 1>&2
3249 $echo "$modename: CURRENT \`$current' must be a nonnegative integer" 1>&2
3250 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3258 $echo "$modename: REVISION \`$revision' must be a nonnegative integer" 1>&2
3259 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3267 $echo "$modename: AGE \`$age' must be a nonnegative integer" 1>&2
3268 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3274 $echo "$modename: AGE \`$age' is greater than the current interface number \`$current'" 1>&2
3275 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3363 $echo "$modename: unknown library version type \`$version_type'" 1>&2
3364 $echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
3399 $echo "$modename: warning: undefined symbols not allowed in $host shared libraries" 1>&2
3413 tempremovelist=`$echo "$output_objdir/*"`
3420 if echo $p | $EGREP -e "$precious_files_regex" >/dev/null 2>&1
3441 oldobjs="$objs "`$echo "X$libobjs" | $SP2NL | $Xsed -e '/\.'${libext}'$/d' -e "$lo2o" | $NL2SP`
3446 # lib_search_path=`$echo "$lib_search_path " | ${SED} -e "s% $path % %g"`
3447 # deplibs=`$echo "$deplibs " | ${SED} -e "s% -L$path % %g"`
3448 # dependency_libs=`$echo "$dependency_libs " | ${SED} -e "s% -L$path % %g"`
3565 libname=`eval \\$echo \"$libname_spec\"`
3566 deplib_matches=`eval \\$echo \"$library_names_spec\"`
3573 $echo
3574 $echo "*** Warning: dynamic linker does not accept needed library $i."
3575 $echo "*** I have the capability to make that library automatically link in when"
3576 $echo "*** you link to this library. But I can only do this if you have a"
3577 $echo "*** shared version of the library, which I believe you do not have"
3578 $echo "*** because a test_compile did reveal that the linker did not use it for"
3579 $echo "*** its dynamic dependency list that programs get resolved with at runtime."
3605 libname=`eval \\$echo \"$libname_spec\"`
3606 deplib_matches=`eval \\$echo \"$library_names_spec\"`
3613 $echo
3614 $echo "*** Warning: dynamic linker does not accept needed library $i."
3615 $echo "*** I have the capability to make that library automatically link in when"
3616 $echo "*** you link to this library. But I can only do this if you have a"
3617 $echo "*** shared version of the library, which you do not appear to have"
3618 $echo "*** because a test_compile did reveal that the linker did not use this one"
3619 $echo "*** as a dynamic dependency that programs can get resolved with at runtime."
3624 $echo
3625 $echo "*** Warning! Library $i is needed by this library but I was not able to"
3626 $echo "*** make it link in! You will probably need to install it or some"
3627 $echo "*** library that it depends on before this library will be fully"
3628 $echo "*** functional. Installing it before continuing would be even better."
3652 libname=`eval \\$echo \"$libname_spec\"`
3671 *) potlib=`$echo "X$potlib" | $Xsed -e 's,[^/]*$,,'`"$potliblink";;
3686 $echo
3687 $echo "*** Warning: linker path does not have real file for library $a_deplib."
3688 $echo "*** I have the capability to make that library automatically link in when"
3689 $echo "*** you link to this library. But I can only do this if you have a"
3690 $echo "*** shared version of the library, which you do not appear to have"
3691 $echo "*** because I did check the linker path looking for a file starting"
3693 $echo "*** with $libname but no candidates were found. (...for file magic test)"
3695 $echo "*** with $libname and none of the candidates passed a file format test"
3696 $echo "*** using a file magic. Last file checked: $potlib"
3721 libname=`eval \\$echo \"$libname_spec\"`
3726 if eval $echo \"$potent_lib\" 2>/dev/null \
3738 $echo
3739 $echo "*** Warning: linker path does not have real file for library $a_deplib."
3740 $echo "*** I have the capability to make that library automatically link in when"
3741 $echo "*** you link to this library. But I can only do this if you have a"
3742 $echo "*** shared version of the library, which you do not appear to have"
3743 $echo "*** because I did check the linker path looking for a file starting"
3745 $echo "*** with $libname but no candidates were found. (...for regex pattern test)"
3747 $echo "*** with $libname and none of the candidates passed a file format test"
3748 $echo "*** using a regex pattern. Last file checked: $potlib"
3759 tmp_deplibs=`$echo "X $deplibs" | $Xsed -e 's/ -lc$//' \
3764 tmp_deplibs=`$echo "X $tmp_deplibs" | ${SED} -e "1s,^X,," -e "s,$i,,"`
3767 if $echo "X $tmp_deplibs" | $Xsed -e 's/[ ]//g' \
3769 $echo
3771 $echo "*** Warning: inter-library dependencies are not supported in this platform."
3773 $echo "*** Warning: inter-library dependencies are not known to be supported."
3775 $echo "*** All declared inter-library dependencies are being dropped."
3789 newdeplibs=`$echo "X $newdeplibs" | $Xsed -e 's/ -lc / -framework System /'`
3795 $echo
3796 $echo "*** Warning: libtool could not satisfy all declared inter-library"
3797 $echo "*** dependencies of module $libname. Therefore, libtool will create"
3798 $echo "*** a static module, that should work as long as the dlopening"
3799 $echo "*** application is linked with the -dlopen flag."
3801 $echo
3802 $echo "*** However, this would only work if libtool was able to extract symbol"
3803 $echo "*** lists from a program, using \`nm' or equivalent, but libtool could"
3804 $echo "*** not find such a program. So, this module is probably useless."
3805 $echo "*** \`nm' from GNU binutils and a full rebuild may help."
3815 $echo "*** The inter-library dependencies that have been dropped here will be"
3816 $echo "*** automatically added whenever a program is linked with this library"
3817 $echo "*** or is declared to -dlopen it."
3820 $echo
3821 $echo "*** Since this library must not contain undefined symbols,"
3822 $echo "*** because either the platform does not support them or"
3823 $echo "*** it was explicitly requested with -no-undefined,"
3824 $echo "*** libtool will only create a static version of it."
3958 test -z "$pic_flag" && libobjs=`$echo "X$libobjs" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
3996 $run eval '$echo "X$include_expsyms" | $SP2NL >> "$export_symbols"'
4058 $echo "creating reloadable object files..."
4072 output_la=`$echo "X$output" | $Xsed -e "$basename"`
4133 $echo "creating a temporary reloadable object file: $output"
4223 $echo "$modename: warning: \`-l' and \`-L' are ignored for objects" 1>&2
4227 $echo "$modename: warning: \`-dlopen' is ignored for objects" 1>&2
4231 $echo "$modename: warning: \`-rpath' is ignored for objects" 1>&2
4235 $echo "$modename: warning: \`-R' is ignored for objects" 1>&2
4239 $echo "$modename: warning: \`-version-info' is ignored for objects" 1>&2
4243 $echo "$modename: warning: \`-release' is ignored for objects" 1>&2
4249 $echo "$modename: cannot build library object \`$output' from non-libtool objects" 1>&2
4253 obj=`$echo "X$output" | $Xsed -e "$lo2o"`
4278 reload_conv_objs=$reload_objs\ `$echo "X$tmp_whole_archive_flags" | $Xsed -e 's|,| |g'`
4289 reload_objs="$objs$old_deplibs "`$echo "X$libobjs" | $SP2NL | $Xsed -e '/\.'${libext}$'/d' -e '/\.lib$/d' -e "$lo2o" | $NL2SP`" $reload_conv_objs" ### testsuite: skip nested quoting test
4320 # $show "echo timestamp > $libobj"
4321 # $run eval "echo timestamp > $libobj" || exit $?
4350 *cygwin*) output=`$echo $output | ${SED} -e 's,.exe$,,;s,$,.exe,'` ;;
4353 $echo "$modename: warning: \`-version-info' is ignored for programs" 1>&2
4357 $echo "$modename: warning: \`-release' is ignored for programs" 1>&2
4363 $echo "$modename: warning: \`AC_LIBTOOL_DLOPEN' not used. Assuming no dlopen support."
4370 compile_deplibs=`$echo "X $compile_deplibs" | $Xsed -e 's/ -lc / -framework System /'`
4371 finalize_deplibs=`$echo "X $finalize_deplibs" | $Xsed -e 's/ -lc / -framework System /'`
4458 testbindir=`$echo "X$libdir" | $Xsed -e 's*/lib$*/bin*'`
4516 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4517 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4525 $echo "$modename: not configured to extract global symbols from dlpreopened files" 1>&2
4542 test -z "$run" && $echo > "$output_objdir/$dlsyms" "\
4559 test -z "$run" && $echo ': @PROGRAM@ ' > "$nlist"
4562 progfiles=`$echo "X$objs$old_deplibs" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4585 $run eval "echo
4595 $run eval "echo EXPORTS "'> "$output_objdir/$outputname.def"'
4604 name=`$echo "$arg" | ${SED} -e 's%^.*/%%'`
4605 $run eval '$echo ": $name " >> "$nlist"'
4634 $echo '/* NONE */' >> "$output_objdir/$dlsyms"
4637 $echo >> "$output_objdir/$dlsyms" "\
4653 $echo >> "$output_objdir/$dlsyms" "\
4661 $echo >> "$output_objdir/$dlsyms" "\
4668 $echo >> "$output_objdir/$dlsyms" "\
4678 $echo >> "$output_objdir/$dlsyms" "\
4726 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}.def $output_objdir/${outputname}S.${objext}%" | $NL2SP`
4727 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}.def $output_objdir/${outputname}S.${objext}%" | $NL2SP`
4729 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
4730 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
4734 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
4735 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
4740 $echo "$modename: unknown suffix for \`$dlsyms'" 1>&2
4750 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "s% @SYMFILE@%%" | $NL2SP`
4751 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "s% @SYMFILE@%%" | $NL2SP`
4756 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e 's%@OUTPUT@%'"$output"'%g' | $NL2SP`
4823 link_command=`$echo "X$link_command" | $Xsed -e 's%@OUTPUT@%'"$output"'%g'`
4837 $echo "$modename: warning: this platform does not like uninstalled shared libraries" 1>&2
4838 $echo "$modename: \`$output' will be relinked during installation" 1>&2
4843 relink_command=`$echo "X$compile_var$compile_command$compile_rpath" | $SP2NL | $Xsed -e 's%@OUTPUT@%\$progdir/\$file%g' | $NL2SP`
4855 link_command=`$echo "X$link_command" | $Xsed -e 's%@OUTPUT@%'"$output_objdir/$outputname"'%g'`
4875 var_value=`$echo "X$var_value" | $Xsed -e "$sed_quote_subst"`
4880 relink_command=`$echo "X$relink_command" | $SP2NL | $Xsed -e "$sed_quote_subst" | $NL2SP`
4883 # Quote $echo for shipping.
4884 if test "X$echo" = "X$SHELL $progpath --fallback-echo"; then
4886 [\\/]* | [A-Za-z]:[\\/]*) qecho="$SHELL $progpath --fallback-echo";;
4887 *) qecho="$SHELL `pwd`/$progpath --fallback-echo";;
4889 qecho=`$echo "X$qecho" | $Xsed -e "$sed_quote_subst"`
4891 qecho=`$echo "X$echo" | $Xsed -e "$sed_quote_subst"`
4899 *.exe) output=`$echo $output|${SED} 's,.exe$,,'` ;;
4905 outputname=`$echo $outputname|${SED} 's,.exe$,,'` ;;
5270 $echo > $output "\
5310 # When we are sourced in execute mode, \$file and \$echo are already set.
5312 echo=\"$qecho\"
5314 # Make sure echo works.
5318 elif test \"X\`(\$echo '\t') 2>/dev/null\`\" = 'X\t'; then
5319 # Yippee, \$echo works!
5322 # Restart under the correct shell, and then maybe \$echo will work.
5327 $echo >> $output "\
5330 thisdir=\`\$echo \"X\$file\" | \$Xsed -e 's%/[^/]*$%%'\`
5336 destdir=\`\$echo \"X\$file\" | \$Xsed -e 's%/[^/]*\$%%'\`
5346 file=\`\$echo \"X\$file\" | \$Xsed -e 's%^.*/%%'\`
5356 $echo >> $output "\
5372 $echo >> $output "\
5378 $echo \"\$relink_command_output\" >&2
5390 $echo >> $output "\
5396 $echo >> $output "\
5402 $echo >> $output "\
5408 $shlibpath_var=\`\$echo \"X\$$shlibpath_var\" | \$Xsed -e 's/::*\$//'\`
5416 $echo >> $output "\
5422 $echo >> $output "\
5429 $echo >> $output "\
5435 $echo >> $output "\
5440 $echo >> $output "\
5441 \$echo \"\$0: cannot exec \$program \$*\"
5446 \$echo \"\$0: error: \\\`\$progdir/\$program' does not exist\" 1>&2
5447 \$echo \"This script is just a wrapper for \$program.\" 1>&2
5448 $echo \"See the $PACKAGE documentation for more information.\" 1>&2
5496 $echo "X$obj" | $Xsed -e 's%^.*/%%'
5500 $echo "copying selected object files to avoid basename conflicts..."
5521 objbase=`$echo "X$obj" | $Xsed -e 's%^.*/%%'`
5552 $echo "using piecewise archive linking..."
5621 var_value=`$echo "X$var_value" | $Xsed -e "$sed_quote_subst"`
5627 relink_command=`$echo "X$relink_command" | $SP2NL | $Xsed -e "$sed_quote_subst" | $NL2SP`
5646 name=`$echo "X$deplib" | $Xsed -e 's%^.*/%%'`
5649 $echo "$modename: \`$deplib' is not a valid libtool archive" 1>&2
5660 name=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
5663 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
5671 name=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
5674 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
5706 $echo > $output "\
5743 $echo >> $output "\
5766 $echo "X$nonopt" | grep shtool > /dev/null; then
5768 arg=`$echo "X$nonopt" | $Xsed -e "$sed_quote_subst"`
5784 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
5835 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
5845 $echo "$modename: you must specify an install program" 1>&2
5846 $echo "$help" 1>&2
5851 $echo "$modename: the \`$prev' option requires an argument" 1>&2
5852 $echo "$help" 1>&2
5858 $echo "$modename: no file or destination specified" 1>&2
5860 $echo "$modename: you must specify a destination" 1>&2
5862 $echo "$help" 1>&2
5867 dest=`$echo "X$dest" | $Xsed -e 's%/$%%'`
5875 destdir=`$echo "X$dest" | $Xsed -e 's%/[^/]*$%%'`
5877 destname=`$echo "X$dest" | $Xsed -e 's%^.*/%%'`
5882 $echo "$modename: \`$dest' is not a directory" 1>&2
5883 $echo "$help" 1>&2
5894 $echo "$modename: \`$destdir' must be an absolute directory name" 1>&2
5895 $echo "$help" 1>&2
5923 $echo "$modename: \`$file' is not a valid libtool archive" 1>&2
5924 $echo "$help" 1>&2
5951 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`/
5957 inst_prefix_dir=`$echo "$destdir" | $SED "s%$libdir\$%%"`
5966 $echo "$modename: error: cannot install \`$file' to a directory not ending in $libdir" 1>&2
5972 relink_command=`$echo "$relink_command" | $SP2NL | $SED "s%@inst_prefix_dir@%-inst-prefix-dir $inst_prefix_dir%" | $NL2SP`
5974 relink_command=`$echo "$relink_command" | $SP2NL | $SED "s%@inst_prefix_dir@%%" | $NL2SP`
5977 $echo "$modename: warning: relinking \`$file'" 1>&2
5981 $echo "$modename: error: relink \`$file' with the above command before installing it" 1>&2
6041 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6057 destfile=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6064 staticdest=`$echo "X$destfile" | $Xsed -e "$lo2o"`
6071 $echo "$modename: cannot copy a libtool object to \`$destfile'" 1>&2
6072 $echo "$help" 1>&2
6086 staticobj=`$echo "X$file" | $Xsed -e "$lo2o"`
6099 destfile=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6110 file=`$echo $file|${SED} 's,.exe$,,'`
6119 wrapper=`$echo $file | ${SED} -e 's,.exe$,,'`
6142 $echo "$modename: invalid libtool wrapper script \`$wrapper'" 1>&2
6157 libfile="$libdir/"`$echo "X$lib" | $Xsed -e 's%^.*/%%g'` ### testsuite: skip nested quoting test
6159 $echo "$modename: warning: \`$lib' has not been installed in \`$libdir'" 1>&2
6180 file=`$echo "X$file$stripped_ext" | $Xsed -e 's%^.*/%%'`
6183 relink_command=`$echo "X$relink_command" | $SP2NL | $Xsed -e 's%@OUTPUT@%'"$outputname"'%g' | $NL2SP`
6188 $echo "$modename: error: relink \`$file' with the above command before installing it" 1>&2
6194 $echo "$modename: warning: cannot relink \`$file'" 1>&2
6198 file=`$echo "X$file$stripped_ext" | $Xsed -e "s%\([^/]*\)$%$objdir/\1%"`
6214 destfile=`$echo $destfile | ${SED} -e 's,.exe$,,'`
6227 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6253 $echo "$modename: warning: remember to run \`$progname --finish$future_libdirs'" 1>&2
6303 $echo "X----------------------------------------------------------------------" | $Xsed
6304 $echo "Libraries have been installed in:"
6306 $echo " $libdir"
6308 $echo
6309 $echo "If you ever happen to want to link against installed libraries"
6310 $echo "in a given directory, LIBDIR, you must either use libtool, and"
6311 $echo
6312 $echo "flag during linking and do at least one of the following:"
6314 $echo " - add LIBDIR to the \`$shlibpath_var' environment variable"
6315 $echo " during execution"
6318 $echo " - add LIBDIR to the \`$runpath_var' environment variable"
6319 $echo " during linking"
6325 $echo " - use the \`$flag' linker flag"
6328 $echo " - have your system administrator run these commands:$admincmds"
6331 $echo " - have your system administrator add LIBDIR to \`/etc/ld.so.conf'"
6333 $echo
6334 $echo "See any operating system documentation about shared libraries for"
6335 $echo "more information, such as the ld(1) and ld.so(8) manual pages."
6336 $echo "X----------------------------------------------------------------------" | $Xsed
6347 $echo "$modename: you must specify a COMMAND" 1>&2
6348 $echo "$help"
6355 $echo "$modename: \`$file' is not a file" 1>&2
6356 $echo "$help" 1>&2
6366 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
6367 $echo "$help" 1>&2
6384 test -n "$library_names" && $echo "$modename: warning: \`$file' was not linked with \`-export-dynamic'"
6388 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
6394 $echo "$modename: cannot find \`$dlname' in \`$dir' or \`$dir/$objdir'" 1>&2
6401 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
6406 $echo "$modename: warning \`-dlopen' is ignored for non-libtool libraries and objects" 1>&2
6448 file=`$echo "X$file" | $Xsed -e "$sed_quote_subst"`
6474 eval "\$echo \"\$shlibpath_var=\$$shlibpath_var\""
6475 $echo "export $shlibpath_var"
6477 $echo "$cmd$args"
6504 $echo "$modename: you must specify an RM program" 1>&2
6505 $echo "$help" 1>&2
6513 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
6520 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6630 file=`$echo $file|${SED} 's,.exe$,,'`
6631 noexename=`$echo $name|${SED} 's,.exe$,,'`
6672 $echo "$modename: you must specify a MODE" 1>&2
6673 $echo "$generic_help" 1>&2
6679 $echo "$modename: invalid operation mode \`$mode'" 1>&2
6680 $echo "$generic_help" 1>&2
6692 "") $echo \
6727 $echo \
6741 $echo \
6762 $echo \
6782 $echo \
6794 $echo \
6807 $echo \
6864 $echo \
6878 $echo "$modename: invalid operation mode \`$mode'" 1>&2
6879 $echo "$help" 1>&2
6884 $echo
6885 $echo "Try \`$modename --help' for more information about other modes."